As you may remember, I have a copy of Derby that came pre-installed with ColdFusion 8 Developer's Edition.  But I want to use Derby with PHP, so I have installed the 10.3.2.1 binary distribution and am progressing through Getting Started with Derby.

When I run WwdClient in Activity 4 of the Self-study tutorial for users new to Derby, I get the following error.  (For completeness, the output from running WwdEmbedded comes first.)
java WwdEmbedded

org.apache.derby.jdbc.EmbeddedDriver loaded.
Connected to database jdbcDemoDB
Enter wish-list item (enter exit to end): 
exit
Closed connection
Database shut down normally
Getting Started With Derby JDBC program ending.

java WwdClient

    >>> Please check your CLASSPATH variable   <<<

 . . . exception thrown:

---SQLException Caught---

SQLState:   08001
Severity: 0
Message:  No suitable driver found for jdbc:derby://localhost:1527/jdbcDemoDB;create=true
Getting Started With Derby JDBC program ending.

I got this error on Activity 3 (with WwdEmbedded), too, but resolved it by modifying my CLASSPATH.  Line 35 of WwdClient.java is:
      String driver = "org.apache.derby.jdbc.ClientDriver";

Does anyone have an idea of what the problem might be?

Thanks!
Chris